| Home | Libraries | People | FAQ | More

## Struct template pointer_rebinder<Ptr< A, An... >, U, 0u>

boost::intrusive::pointer_rebinder<Ptr< A, An... >, U, 0u>

## Synopsis

    // In header: <boost/intrusive/pointer_rebind.hpp>

    template<template< class, class... > class Ptr, typename A, class... An,
             typename U>
    struct pointer_rebinder<Ptr< A, An... >, U, 0u> {
      // types
      typedef Ptr< U, An... > type;
    };